polybori::groebner::PairData Class Referenceabstract

This class defines PairData. More...

`#include <PairData.h>`

Inheritance diagram for polybori::groebner::PairData:

## Public Member Functions

virtual | ~PairData ()
virtual Polynomial | extract (const PolyEntryVector &v) const =0

## Detailed Description

This class defines PairData.

## Constructor & Destructor Documentation

virtual polybori::groebner::PairData::~PairData | ( | ) |  |

inline virtual

## Member Function Documentation

virtual Polynomial polybori::groebner::PairData::extract | ( | const PolyEntryVector & | v) |  | const

pure virtual

Implemented in polybori::groebner::IJPairData, polybori::groebner::VariablePairData, and polybori::groebner::PolyPairData.

The documentation for this class was generated from the following file:

- PairData.h